=== debian/changelog ===
lsp-plugins (1.1.29-1) unstable; urgency=medium

  * New upstream version 1.1.29
  * Update d/lsp-plugins-vst.links

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 21 Jan 2021 16:32:20 +0100
