## lsp-plugins 1.1.30

=== Makefile ===
--- 
+++ 
@@ -86,8 +86,8 @@
 .DEFAULT_GOAL          := all
 .PHONY: all experimental trace debug tracefile debugfile profile gdb test testdebug testprofile compile test_compile
 .PHONY: compile_info
-.PHONY: install install_ladspa install_lv2 install_vst install_jack install_doc
-.PHONY: uninstall uninstall_ladspa uninstall_lv2 uninstall_vst uninstall_jack uninstall_doc
+.PHONY: install install_ladspa install_lv2 install_vst install_jack install_doc install_xdg
+.PHONY: uninstall uninstall_ladspa uninstall_lv2 uninstall_vst uninstall_jack uninstall_doc uninstall_xdg
 .PHONY: release release_ladspa release_lv2 release_vst release_jack release_doc release_src
 .PHONY: build_ladspa build_lv2 build_vst build_jack build_doc
 
@@ -234,6 +234,8 @@
 	@echo "Installing JACK standalone plugins to $(DESTDIR)$(BIN_PATH)"
 	@mkdir -p "$(DESTDIR)$(BIN_PATH)"
 	@$(MAKE) $(MAKE_OPTS) -C $(OBJDIR)/src/jack install TARGET_PATH="$(DESTDIR)$(BIN_PATH)" INSTALL="$(INSTALL)"
+
+install_xdg:
 	@echo "Installing desktop icons to $(DESTDIR)$(SHARE_PATH)/applications"
 	@mkdir -p "$(DESTDIR)$(SHARE_PATH)/applications"
 	@mkdir -p "$(DESTDIR)$(SHARE_PATH)/desktop-directories"
@@ -273,5 +275,3 @@
 
 release: INSTALL        += -s
 release: $(RELEASES)
-	@echo "Release OK"
-
