=== debian/changelog ===
lsp-plugins (1.1.30-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 22 Nov 2021 12:46:53 -0500

lsp-plugins (1.1.30-1) unstable; urgency=medium

  * Provide the lsp-plugins-r3d-glx package,
    to get rid of lsp-plugins-jack dependency.
    All 123 desktop files/icons were in desktop menu even if only the lv2 or
    vst plugins should be installed, because the lsp-plugins-jack was a
    dependency for the lv2 and vst plugins.
  * d/control: Bump S-V to 4.6.0.1, no changes needed
  * d/control: Re-add Debian Multimedia Team as Maintainer
  * Install the desktop files again with the jack package
  * Simplify lsp-plugins-jack.lintian-overrides
  * Update d/lsp-plugins-vst.links

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 19 Aug 2021 12:50:50 +0200

lsp-plugins (1.1.30-0ubuntu2) impish; urgency=medium

  * Remove /etc/xdg from install

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 09 Jun 2021 17:37:00 -0700

lsp-plugins (1.1.30-0ubuntu1) impish; urgency=medium

  * New upstream version 1.1.30
  * Implemented Oscilloscope plugin series: x1, x2 and x4. UX design by Bor T.
  * Added data streaming port support to plugin framework.
  * Added strobe feature to mesh primitives that allows to draw
    multiple streamed meshes together.
  * Implemented 4-lobe Lanczos oversampling DSP functions for i586
    architecture.
  * Implemented 4-lobe Lanczos oversampling DSP functions for x86_64
    architecture.
  * Implemented 4-lobe Lanczos oversampling DSP functions for 32-bit ARM
    architecture.
  * Implemented 4-lobe Lanczos oversampling DSP functions for 64-bit ARM
    architecture.
  * Minor bugfixes in the core library.
  * Fixed bug with character set encoding for several systems with limited
    iconv.
  * Fixed latency compensation issue that happened for the 'Bypass'
    switch/automation.
  * Implemented additional 'Boosting' mode for the single-band compressor
    plugin series.
  * Implemented additional 'Boosting' mode for the multiband-band compressor
    plugin series.
  * Updated french translations (contributed by Olivier Humbert).
  * Updated italian translations by Stefano Tronci.
  * Desktop icon installation moved to a separate 'install_xdg' icon to
    prevent LSP icon flooding for several systems which don't support XDG
    standard.

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 09 Jun 2021 17:04:47 -0700
