=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lsp-plugins
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
  debhelper-compat (= 13),
@@ -14,7 +15,7 @@
  php-cli,
  libcairo2-dev,
  libsndfile1-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Homepage: https://lsp-plug.in/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/lsp-plugins
 Vcs-Git: https://salsa.debian.org/multimedia-team/lsp-plugins.git
@@ -56,11 +57,9 @@
 
 Package: lsp-plugins-jack
 Architecture: any
-Depends:
+Depends: lsp-plugins-r3d-glx (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
-Breaks: lsp-plugins-common
-Replaces: lsp-plugins-common
 Description: LSP (Linux Studio Plugins) audio-plugins (standalone Jack clients)
  Linux Studio Plugins (LSP) provides a collection of audio effects,
  synthesizers, and a selection of audio tools for music and sound
@@ -82,6 +81,35 @@
  and MIDI triggers
  .
  This package provides the standalone Jack clients.
+ 
+Package: lsp-plugins-r3d-glx
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks: lsp-plugins-jack (<< 1.1.30-1~)
+Replaces: lsp-plugins-jack (<< 1.1.30-1~)
+Description: LSP (Linux Studio Plugins) r3d-glx library
+ Linux Studio Plugins (LSP) provides a collection of audio effects,
+ synthesizers, and a selection of audio tools for music and sound
+ production. It provides standalone Jack clients and integrates
+ into the LV2, LADSPA and VST plugin frameworks.
+ .
+ LSP provides the following plugins:
+ .
+ Audio effects: limiters, dynamic processors, expanders, gates,
+ graphic equalisers, impulse responses, impulse reverbs, compressors,
+ multiband compressors, parametric equalisers, phase detector,
+ sidechain multiband compressors, sidechain limiters,
+ sidechain dynamic processors, sidechain expanders, sidechain gates,
+ sidechain compressors, slapback delays, delay compensators, triggers.
+ .
+ Synths: samplers, and multisamplers.
+ .
+ Tools: latency meters, oscillators, profiler, spectrum analyzers,
+ and MIDI triggers
+ .
+ This package provides the LSP r3d-glx library.
 
 Package: lsp-plugins-ladspa
 Architecture: any
@@ -114,8 +142,7 @@
 Package: lsp-plugins-lv2
 Architecture: any
 Provides: lv2-plugin
-Depends:
- lsp-plugins-jack (= ${binary:Version}),
+Depends: lsp-plugins-r3d-glx (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Description: LSP (Linux Studio Plugins) audio-plugins (LV2 plugins)
@@ -142,8 +169,7 @@
 
 Package: lsp-plugins-vst
 Architecture: any
-Depends:
- lsp-plugins-jack (= ${binary:Version}),
+Depends: lsp-plugins-r3d-glx (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Description: LSP (Linux Studio Plugins) audio-plugins (VST plugins)
