=== debian/rules ===
--- 
+++ 
@@ -22,14 +22,18 @@
 %:
 	dh $@
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_auto_test:
 	# the test suite requires build options incompatible with what we
 	# ship in the package, so disable until upstream resolves this
 
-override_dh_install:
+override_dh_auto_install:
+	dh_auto_install
+	$(MAKE) install_xdg DESTDIR=$(CURDIR)/debian/tmp PREFIX=/usr
 	# Documentation contains privacy-invading IFRAMEs in HTML code
 	# which generates Lintian warnings. HTML documentation is
 	# therefore removed, and documentation is linked at
 	# https://lsp-plug.in/?page=manuals
 	rm -r debian/tmp/usr/share/doc/lsp-plugins
-	dh_install
